Package twisted :: Package protocols :: Module msn :: Class NotificationFactory

[frames | no frames]

## Class NotificationFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   NotificationFactory

Factory for the NotificationClient protocol. This is basically responsible for keeping the state of the client and thus should be used in a 1:1 situation with clients.

Method Summary
Inherited from ClientFactory
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed to connect.
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Instance Variable Summary
`NoneType` | `contacts`: An MSNContactList instance reflecting the current contact list -- this is generally kept up to date by the default command handlers.
`str` | `passportServer`: This must point to an msn passport server (the whole URL is required)
`str` | `password`: The client's password -- this is (obviously) expected to be set by the client.
`str` | `screenName`: The client's current screen-name -- this is generally kept up to date by the default command handlers.
`str` | `status`: The status of the client -- this is generally kept up to date by the default command handlers
`str` | `userHandle`: The client's userHandle, this is expected to be set by the client and is used by the protocol (for logging in etc).

Class Variable Summary
`class` | `protocol` = `twisted.protocols.msn.NotificationClient`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Instance Variable Details

### contacts

An MSNContactList instance reflecting the current contact list -- this is generally kept up to date by the default command handlers.

  Type:
    `NoneType`
  Value:

        None

### passportServer

This must point to an msn passport server (the whole URL is required)

  Type:
    `str`
  Value:

        'https://nexus.passport.com/rdr/pprdr.asp'

### password

The client's password -- this is (obviously) expected to be set by the client.

  Type:
    `str`
  Value:

        ''

### screenName

The client's current screen-name -- this is generally kept up to date by the default command handlers.

  Type:
    `str`
  Value:

        ''

### status

The status of the client -- this is generally kept up to date by the default command handlers

  Type:
    `str`
  Value:

        'FLN'

### userHandle

The client's userHandle, this is expected to be set by the client and is used by the protocol (for logging in etc).

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net